Syncfusion AI Assistant

How can I help you?

Accessibility in Angular OTP Input component

26 Feb 20267 minutes to read

The OTP Input component conforms to accessibility standards and guidelines, including ADA, Section 508, WCAG 2.2 standards, and WCAG roles commonly used to evaluate accessibility.

The accessibility compliance for the OTP Input component is outlined below.

Accessibility Criteria Compatibility
WCAG 2.2 Support Yes
Section 508 Support Yes
Screen Reader Support Yes
Right-To-Left Support Yes
Color Contrast Yes
Mobile Device Support Yes
Keyboard Navigation Support Yes
Accessibility Checker Validation Yes
Axe-core Accessibility Validation Yes
Yes - All features of the component meet the requirement.
Intermediate - Some features of the component do not meet the requirement.
No - The component does not meet the requirement.

WAI-ARIA attributes

The following ARIA attributes are used in the OTP Input component:

Attributes Purpose
role=group Attributes used to form a collection of items.
aria-label Provides the text label for the OTP inputs.

Keyboard interaction

The following keyboard shortcuts are supported by the OTP Input component.

Press To do this
Left Arrow Focuses the previous input in the OTP.
Right Arrow Focuses the next input in OTP
Tab Moves the initial focus and shifts focus to the next input of the OTP.
Shift + Tab Moves the focus to the previous input of the OTP.

Ensuring accessibility

The OTP Input component’s accessibility standards compliance is verified using the accessibility-checker and axe-core tools during automated testing. To ensure your implementation is accessible, use semantic HTML attributes, provide clear ARIA labels via the ariaLabels property, and test with assistive technologies and accessibility validators.

See also

HtmlAttributes

HtmlAttributes allow you to specify additional HTML attributes to be applied to the OTP input component.

You can pass HTML attributes as key-value pairs to the htmlAttributes property.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FormsModule } from '@angular/forms'
import { OtpInputModule } from '@syncfusion/ej2-angular-inputs'
import { enableRipple } from '@syncfusion/ej2-base'

import { Component } from '@angular/core';

@Component({
imports: [
         FormsModule, OtpInputModule
    ],


standalone: true,
  selector: 'app-root',
  template: `<!-- To Render OTP Input component. -->
    <div class="wrap">
        <div id='otp-container' style="width: 350px;">
            <div ejs-otpinput [htmlAttributes]="htmlAttributes" [value]="value"></div>
        </div>
    </div>`
})

export class AppComponent {
    public htmlAttributes: { title: string } = {title : "One-Time Password"};
    public value: string = "1234"
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));
/* Represents the styles for loader */
#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.wrap {
  margin: 50px auto;
}

AriaLabels

AriaLabels define the ARIA-label attribute for each input field in the OTP input component. ARIA-labels enhance accessibility by providing descriptive labels for screen reader users, improving the user experience for individuals with disabilities.

You can provide an array of strings as ARIA-labels to the ariaLabels property. Each string corresponds to the ARIA-label attribute for the respective input field in the OTP input component.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FormsModule } from '@angular/forms'
import { OtpInputModule } from '@syncfusion/ej2-angular-inputs'
import { enableRipple } from '@syncfusion/ej2-base'

import { Component } from '@angular/core';

@Component({
imports: [
         FormsModule, OtpInputModule
    ],


standalone: true,
  selector: 'app-root',
  template: `<!-- To Render OTP Input component. -->
    <div class="wrap">
        <div id='otp-container' style="width: 350px;">
            <div ejs-otpinput [ariaLabels]="ariaLabels" [value]="value"></div>
        </div>
    </div>`
})

export class AppComponent {
    public ariaLabels: string[] = ['First digit', 'Second digit', 'Third digit', 'Fourth digit'];
    public value: string = "1234"
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));
/* Represents the styles for loader */
#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.wrap {
  margin: 50px auto;
}

Accessibility in Vue OTP Input component

25 Apr 20256 minutes to read

The OTP Input component followed the accessibility guidelines and standards, including ADA, Section 508, WCAG 2.2 standards, and WCAG roles that are commonly used to evaluate accessibility.

The accessibility compliance for the OTP Input component is outlined below.

Accessibility Criteria Compatibility
WCAG 2.2 Support Yes
Section 508 Support Yes
Screen Reader Support Yes
Right-To-Left Support Yes
Color Contrast Yes
Mobile Device Support Yes
Keyboard Navigation Support Yes
Accessibility Checker Validation Yes
Axe-core Accessibility Validation Yes
Yes - All features of the component meet the requirement.
Intermediate - Some features of the component do not meet the requirement.
No - The component does not meet the requirement.

WAI-ARIA attributes

The following ARIA attributes are used in the OTP Input component:

Attributes Purpose
role=group Attributes used to form a collection of items.
aria-label Attributes provides the text label for the Otp inputs.

Keyboard interaction

The following keyboard shortcuts are supported by the OTP Input component.

Press To do this
Left Arrow Focuses the previous input in the OTP.
Right Arrow Focuses the next input in OTP
Tab Moves the initial focus and shifts focus to the next input of the OTP.
Shift + Tab Moves the focus to the previous input of the OTP.

Ensuring accessibility

The OTP Input component’s accessibility levels are ensured through an accessibility-checker and axe-core software tools during automated testing.

See also

HtmlAttributes

HtmlAttributes allow you to specify additional HTML attributes to be applied to the OTP input component.

You can pass HTML attributes as key-value pairs to the htmlAttributes property.

<template>
  <div class='wrap'>
    <ejs-otpinput id="default_otp" placeholder="x"></ejs-otpinput>
  </div>
</template>

<script setup>
import { OtpInputComponent as EjsOtpinput } from "@syncfusion/ej2-vue-inputs";
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';

.wrap {
  width: 350px;
  margin-top: 30px;
  padding: 30px;
}
</style>
<template>
  <div class='wrap'>
    <ejs-otpinput id="default_otp" placeholder="x"></ejs-otpinput>
  </div>
</template>

<script>
import { OtpInputComponent } from "@syncfusion/ej2-vue-inputs";
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);

export default {
    name: "App",
    components: { 'ejs-otpinput': OtpInputComponent }
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';

.wrap {
  width: 350px;
  margin-top: 30px;
  padding: 30px;
}
</style>

AriaLabels

AriaLabels define the ARIA-label attribute for each input field in the OTP input component. ARIA-labels enhance accessibility by providing descriptive labels for screen reader users, improving the user experience for individuals with disabilities.

You can provide an array of strings as ARIA-labels to the ariaLabels property. Each string corresponds to the ARIA-label attribute for the respective input field in the OTP input component.

<template>
  <div class='wrap'>
    <ejs-otpinput id="default_otp" placeholder="wxyz"></ejs-otpinput>
  </div>
</template>

<script setup>
import { OtpInputComponent as EjsOtpinput } from "@syncfusion/ej2-vue-inputs";
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';

.wrap {
  width: 350px;
  margin-top: 30px;
  padding: 30px;
}
</style>
<template>
  <div class='wrap'>
    <ejs-otpinput id="default_otp" placeholder="wxyz"></ejs-otpinput>
  </div>
</template>

<script>
import { OtpInputComponent } from "@syncfusion/ej2-vue-inputs";
import { enableRipple } from '@syncfusion/ej2-base';
enableRipple(true);

export default {
    name: "App",
    components: { 'ejs-otpinput': OtpInputComponent }
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';

.wrap {
  width: 350px;
  margin-top: 30px;
  padding: 30px;
}
</style>

Syncfusion AI Assistant

How can I help you?

Accessibility in React OTP Input component

21 Feb 20267 minutes to read

The OTP Input component follows accessibility guidelines and standards, including ADA, Section 508, WCAG 2.2, and common WAI-ARIA roles used to evaluate accessibility.

The accessibility compliance for the OTP Input component is outlined below.

Accessibility Criteria Compatibility
WCAG 2.2 Support Yes
Section 508 Support Yes
Screen Reader Support Yes
Right-To-Left Support Yes
Color Contrast Yes
Mobile Device Support Yes
Keyboard Navigation Support Yes
Accessibility Checker Validation Yes
Axe-core Accessibility Validation Yes
Yes - All features of the control meet the requirement.
Intermediate - Some features of the control do not meet the requirement.
No - The control does not meet the requirement.

WAI-ARIA attributes

The following ARIA attributes are used in the OTP Input component:

Attributes Purpose
role=group Attributes used to form a collection of items.
aria-label Attributes provides the text label for the OTP Inputs.

Keyboard interaction

The OTP Input component supports the following keyboard shortcuts:

Press To do this
Left Arrow Focuses the previous input in the OTP.
Right Arrow Focuses the next input in the OTP.
Tab Shifts focus to the next input in the OTP.
Shift + Tab Shifts focus to the previous input in the OTP.

Ensuring accessibility

The OTP Input component’s accessibility levels are ensured through an accessibility-checker and axe-core software tools during automated testing.

See also

HtmlAttributes

HTML attributes allow you to specify additional attributes to apply to the OTP Input component. These attributes provide extra customization and control over the behavior and appearance of the OTP input fields.

You can pass HTML attributes as key-value pairs to the htmlAttributes property.

// Import the OTP Input.
import { OtpInputComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';
// To render OTP Input.
function App() {
    const htmlAttributes = { title : "One-Time Password"} ;
    return (
        <div id='container'>
            <OtpInputComponent id='otpinput' value={1234} htmlAttributes={htmlAttributes}></OtpInputComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />, document.getElementById('element'));
// Import the OTP Input.
import { OtpInputComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';

// To render OTP Input.
function App() {
    const htmlAttributes: { [key: string]: string; } = { title : "One-Time Password"} ;
    return (
        <div id='container'>
            <OtpInputComponent id='otpinput' value={1234} htmlAttributes={htmlAttributes}></OtpInputComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('element'));

AriaLabels

ARIA labels define the ARIA-label attribute for each input field in the OTP Input component. They enhance accessibility by providing descriptive labels for screen reader users, improving the experience for individuals with disabilities.

You can provide an array of strings as ARIA labels to the ariaLabels property. Each string corresponds to the ARIA-label attribute for the respective OTP input field.

// Import the OTP Input.
import { OtpInputComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';
// To render OTP Input.
function App() {
    const ariaLables = ['First digit', 'Second digit', 'Third digit', 'Fourth digit'];
    return (
        <div id='container'>
            <OtpInputComponent id='otpinput' value={1234} ariaLabels={ariaLables}></OtpInputComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />, document.getElementById('element'));
// Import the OTP Input.
import { OtpInputComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';
// To render OTP Input.
function App() {
    const ariaLables = ['First digit', 'Second digit', 'Third digit', 'Fourth digit'];
    return (
        <div id='container'>
            <OtpInputComponent id='otpinput' value={1234} ariaLabels={ariaLables}></OtpInputComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />, document.getElementById('element'));